##### ip::basic_resolver::operator= (2 of 2 overloads)

Move-assign a `ip::basic_resolver` from another.

    template<
        typename Executor1>
    constraint_t< is_convertible< Executor1, Executor >::value, basic_resolver & > operator=(
        basic_resolver< InternetProtocol, Executor1 > && other);

This assignment operator moves a resolver from one object to another. Cancels any outstanding asynchronous operations associated with the target object.

###### Parameters

other

  The other `ip::basic_resolver` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_resolver(const executor_type&)` constructor.